Loading...
Searching...
No Matches
jni::ObjectBase Class Reference

`#include <object.hpp>`

## Public Member Functions

| operator bool () const
template<class OtherTag>
bool | IsInstanceOf (JNIEnv &env, const Class< OtherTag > &clazz) const

## Protected Member Functions

| ObjectBase (std::nullptr_t=nullptr)
| ObjectBase (jobject *p)
| ~ObjectBase ()=default
void | reset (jobject *p)

## Protected Attributes

jobject * | ptr = nullptr

## Friends

bool | operator== (const ObjectBase &a, const ObjectBase &b)
bool | operator!= (const ObjectBase &a, const ObjectBase &b)

## Constructor & Destructor Documentation

## ObjectBase() [1/2]

jni::ObjectBase::ObjectBase | ( | std::nullptr_t | = nullptr | ) |

inline explicit protected

## ObjectBase() [2/2]

jni::ObjectBase::ObjectBase | ( | jobject * | p | ) |

inline explicit protected

## ~ObjectBase()

jni::ObjectBase::~ObjectBase | ( |  | ) |

protected default

## Member Function Documentation

## IsInstanceOf()

template<class OtherTag>

bool jni::ObjectBase::IsInstanceOf | ( | JNIEnv & | env,
|  | const Class< OtherTag > & | clazz ) const

inline

## operator bool()

jni::ObjectBase::operator bool | ( |  | ) | const

inline explicit

## reset()

void jni::ObjectBase::reset | ( | jobject * | p | ) |

inline protected

## Friends And Related Symbol Documentation

## operator!=

bool operator!= | ( | const ObjectBase & | a,
|  | const ObjectBase & | b )

friend

## operator==

bool operator== | ( | const ObjectBase & | a,
|  | const ObjectBase & | b )

friend

## Member Data Documentation

## ptr

jobject* jni::ObjectBase::ptr = nullptr

protected

The documentation for this class was generated from the following file:

- /build/lime-OjNHTX/lime-5.3.105+dfsg/src/jni/object.hpp